Sign inGet started

Add participant to conversation

POST
/workspaces/{workspaceId}/conversations/{conversationId}/participants
Add a participant to the conversation if it hasn't already been added
Anfrage-Payload
Create a participant of the user or flow type.
id
string
erforderlich
ID of the flow or user.
type
string
erforderlich
Participant type.
Possible values: user, flow
status
string
Participant status in the conversation. Defaults to active.
Possible values: pending, invited, active
Antwort-Payload
avatarUrl
string
contact
object
Untergeordnete Attribute anzeigen
contact.identifierKey
string
erforderlich
contact.identifierValue
string
erforderlich
contact.platformAddress
string
contact.platformAddressSelector
string
conversationId
string
createdAt
string
displayName
string
id
string
erforderlich
resourceUri
string
status
string
Possible values: invited, pending, active, inactive
type
string
erforderlich
Possible values: user, contact, agent, flow, bot, accessKey, channel, connector, collaborationAutomation
updatedAt
string
Codebeispiel
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/conversations/{conversationId}/participants' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Codebeispiel
curl -X POST "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/c9c60caa-eaf5-4628-9687-91de4d452bfa/participants" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "type": "contact",
  "contact": {
    "identifierKey": "emailaddress",
    "identifierValue": "john.doe@bird.com"
  }
}'